Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 3901)
@@ -109,33 +109,24 @@
 
    !                                                         !!* namberg namelist parameters (and defaults) **
-   LOGICAL , PUBLIC ::   ln_bergdia               = .true.    !: Calculate budgets
-   INTEGER , PUBLIC ::   nn_verbose_level         = 0         !: Turn on debugging when level > 0
-   INTEGER , PUBLIC ::   nn_test_icebergs         = 0         !: Create icebergs in absence of a restart file from the supplied class nb
-   REAL(wp), PUBLIC, DIMENSION(4) ::   rn_test_box = (/ 0._wp, 1._wp, 0._wp, 1._wp /)   !: lon1,lon2,lat1,lat2 box to create them in
-   INTEGER , PUBLIC ::   nn_sample_rate           = 0         !: Timesteps between sampling of position for trajectory storage
-   INTEGER , PUBLIC ::   nn_verbose_write         = 15        !: timesteps between verbose messages
-   REAL(wp), PUBLIC ::   rn_rho_bergs             = 850._wp   !: Density of icebergs
-   REAL(wp), PUBLIC ::   rn_LoW_ratio             = 1.5_wp    !: Initial ratio L/W for newly calved icebergs
-   REAL(wp), PUBLIC ::   rn_bits_erosion_fraction = 0.        !: Fraction of erosion melt flux to divert to bergy bits
-   REAL(wp), PUBLIC ::   rn_sicn_shift            = 0._wp     !: Shift of sea-ice concentration in erosion flux modulation (0<sicn_shift<1)
-   LOGICAL , PUBLIC ::   ln_operator_splitting    = .true.    !: Use first order operator splitting for thermodynamics
-   LOGICAL , PUBLIC ::   ln_passive_mode          = .false.   !: iceberg - ocean decoupling
-   LOGICAL , PUBLIC ::   ln_time_average_weight   = .false.   !: Time average the weight on the ocean    !!gm I don't understand that !
-   REAL(wp), PUBLIC ::   rn_speed_limit           = 0._wp     !: CFL speed limit for a berg
+   LOGICAL , PUBLIC ::   ln_bergdia                      !: Calculate budgets
+   INTEGER , PUBLIC ::   nn_verbose_level                !: Turn on debugging when level > 0
+   INTEGER , PUBLIC ::   nn_test_icebergs                !: Create icebergs in absence of a restart file from the supplied class nb
+   REAL(wp), PUBLIC, DIMENSION(4) ::   rn_test_box       !: lon1,lon2,lat1,lat2 box to create them in
+   INTEGER , PUBLIC ::   nn_sample_rate                  !: Timesteps between sampling of position for trajectory storage
+   INTEGER , PUBLIC ::   nn_verbose_write                !: timesteps between verbose messages
+   REAL(wp), PUBLIC ::   rn_rho_bergs                    !: Density of icebergs
+   REAL(wp), PUBLIC ::   rn_LoW_ratio                    !: Initial ratio L/W for newly calved icebergs
+   REAL(wp), PUBLIC ::   rn_bits_erosion_fraction        !: Fraction of erosion melt flux to divert to bergy bits
+   REAL(wp), PUBLIC ::   rn_sicn_shift                   !: Shift of sea-ice concentration in erosion flux modulation (0<sicn_shift<1)
+   LOGICAL , PUBLIC ::   ln_operator_splitting           !: Use first order operator splitting for thermodynamics
+   LOGICAL , PUBLIC ::   ln_passive_mode                 !: iceberg - ocean decoupling
+   LOGICAL , PUBLIC ::   ln_time_average_weight          !: Time average the weight on the ocean    !!gm I don't understand that !
+   REAL(wp), PUBLIC ::   rn_speed_limit                  !: CFL speed limit for a berg
    !
    !                                     ! Mass thresholds between iceberg classes [kg]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_mass      = (/8.8e07, 4.1e08, 3.3e09, 1.8e10, 3.8e10,   &
-      &                                                                7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11/)
-   !                                     ! Fraction of calving to apply to this class [non-dim]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_distribution      = (/0.25  , 0.12  , 0.15  , 0.18  , 0.12  ,   &
-      &                                                                0.07  , 0.03  , 0.03  , 0.03  , 0.02  /)
-   !                                     ! Ratio between effective and real iceberg mass (non-dim)
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_mass_scaling      = (/2000. ,  200. ,   50. ,   20. ,   10. ,   &
-      &                                                                   5. ,    2. ,    1. ,    1. ,    1. /)
-   !                                     ! Total thickness of newly calved bergs [m]
-   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_thickness = (/  40. ,   67. ,  133. ,  175. ,  250. ,   &
-      &                                                                 250. ,  250. ,  250. ,  250. ,  250./)
-
-   ! Single instance of an icebergs type initialised in icebergs_init and updated in icebergs_run
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_mass      ! Fraction of calving to apply to this class [non-dim]
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_distribution      ! Ratio between effective and real iceberg mass (non-dim)
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_mass_scaling      ! Total thickness of newly calved bergs [m]
+   REAL(wp), DIMENSION(nclasses), PUBLIC ::   rn_initial_thickness !  Single instance of an icebergs type initialised in icebergs_init and updated in icebergs_run
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   src_calving, src_calving_hflx    !: accumulate input ice
    INTEGER , PUBLIC             , SAVE                     ::   numicb                           !: iceberg IO
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3901)
@@ -35,5 +35,5 @@
    PUBLIC   icb_init  ! routine called in nemogcm.F90 module
 
-   CHARACTER(len=100) ::   cn_dir = './'   ! Root directory for location of icb files
+   CHARACTER(len=100) ::   cn_dir          ! Root directory for location of icb files
    TYPE(FLD_N)        ::   sn_icb          ! information about the calving file to be read
 
@@ -355,9 +355,4 @@
       !!----------------------------------------------------------------------
 
-      ! (NB: frequency positive => hours, negative => months)
-      !            !   file     ! frequency !  variable  ! time intep !  clim  ! 'yearly' or ! weights  ! rotation   !
-      !            !   name     !  (hours)  !   name     !   (T/F)    !  (T/F) !  'monthly'  ! filename ! pairs      !
-      sn_icb = FLD_N( 'calving' ,    -1     , 'calving'  ,  .TRUE.    , .TRUE. ,   'yearly'  , ''       , ''         )
-
       REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
       READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 3901)
@@ -22,23 +22,23 @@
    !!                   namrun namelist parameters
    !!----------------------------------------------------------------------
-   CHARACTER(lc) ::   cn_exp        = "exp0"      !: experiment name used for output filename
-   CHARACTER(lc) ::   cn_ocerst_in  = "restart"   !: suffix of ocean restart name (input)
-   CHARACTER(lc) ::   cn_ocerst_out = "restart"   !: suffix of ocean restart name (output)
-   LOGICAL       ::   ln_rstart     = .FALSE.     !: start from (F) rest or (T) a restart file
-   INTEGER       ::   nn_no         = 0           !: job number
-   INTEGER       ::   nn_rstctl     = 0           !: control of the time step (0, 1 or 2)
+   CHARACTER(lc) ::   cn_exp           !: experiment name used for output filename
+   CHARACTER(lc) ::   cn_ocerst_in     !: suffix of ocean restart name (input)
+   CHARACTER(lc) ::   cn_ocerst_out    !: suffix of ocean restart name (output)
+   LOGICAL       ::   ln_rstart        !: start from (F) rest or (T) a restart file
+   INTEGER       ::   nn_no            !: job number
+   INTEGER       ::   nn_rstctl        !: control of the time step (0, 1 or 2)
    INTEGER       ::   nn_rstssh     = 0           !: hand made initilization of ssh or not (1/0)
-   INTEGER       ::   nn_it000      = 1           !: index of the first time step
-   INTEGER       ::   nn_itend      = 10          !: index of the last time step
-   INTEGER       ::   nn_date0      = 961115      !: initial calendar date aammjj
-   INTEGER       ::   nn_leapy      = 0           !: Leap year calendar flag (0/1 or 30)
-   INTEGER       ::   nn_istate     = 0           !: initial state output flag (0/1)
-   INTEGER       ::   nn_write      =   10        !: model standard output frequency
-   INTEGER       ::   nn_stock      =   10        !: restart file frequency
-   LOGICAL       ::   ln_dimgnnn    = .FALSE.     !: type of dimgout. (F): 1 file for all proc
+   INTEGER       ::   nn_it000         !: index of the first time step
+   INTEGER       ::   nn_itend         !: index of the last time step
+   INTEGER       ::   nn_date0         !: initial calendar date aammjj
+   INTEGER       ::   nn_leapy         !: Leap year calendar flag (0/1 or 30)
+   INTEGER       ::   nn_istate        !: initial state output flag (0/1)
+   INTEGER       ::   nn_write         !: model standard output frequency
+   INTEGER       ::   nn_stock         !: restart file frequency
+   LOGICAL       ::   ln_dimgnnn       !: type of dimgout. (F): 1 file for all proc
                                                        !:                  (T): 1 file per proc
-   LOGICAL       ::   ln_mskland    = .FALSE.     !: mask land points in NetCDF outputs (costly: + ~15%)
-   LOGICAL       ::   ln_clobber    = .FALSE.     !: clobber (overwrite) an existing file
-   INTEGER       ::   nn_chunksz    = 0           !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
+   LOGICAL       ::   ln_mskland       !: mask land points in NetCDF outputs (costly: + ~15%)
+   LOGICAL       ::   ln_clobber       !: clobber (overwrite) an existing file
+   INTEGER       ::   nn_chunksz       !: chunksize (bytes) for NetCDF file (works only with iom_nf90 routines)
 #if defined key_netcdf4
    !!----------------------------------------------------------------------
@@ -49,12 +49,12 @@
    ! for runtime optimisation. The individual netcdf4 chunks can be optionally 
    ! gzipped (recommended) leading to significant reductions in I/O volumes 
-   !                                   !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
-   INTEGER ::   nn_nchunks_i = 1        !: number of chunks required in the i-dimension 
-   INTEGER ::   nn_nchunks_j = 1        !: number of chunks required in the j-dimension 
-   INTEGER ::   nn_nchunks_k = 1        !: number of chunks required in the k-dimension 
-   INTEGER ::   nn_nchunks_t = 1        !: number of chunks required in the t-dimension 
-   LOGICAL ::   ln_nc4zip    = .TRUE.   !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
-   !                                    !                 (F) ignore chunking request and use the netcdf4 library 
-   !                                    !                     to produce netcdf3-compatible files 
+   !                         !!!**  variables only used with iom_nf90 routines and key_netcdf4 **
+   INTEGER ::   nn_nchunks_i   !: number of chunks required in the i-dimension 
+   INTEGER ::   nn_nchunks_j   !: number of chunks required in the j-dimension 
+   INTEGER ::   nn_nchunks_k   !: number of chunks required in the k-dimension 
+   INTEGER ::   nn_nchunks_t   !: number of chunks required in the t-dimension 
+   LOGICAL ::   ln_nc4zip      !: netcdf4 usage: (T) chunk and compress output using the HDF5 sublayers of netcdf4
+   !                           !                 (F) ignore chunking request and use the netcdf4 library 
+   !                           !                     to produce netcdf3-compatible files 
 #endif
 !$AGRIF_DO_NOT_TREAT
@@ -87,14 +87,14 @@
    !!                    output monitoring
    !!----------------------------------------------------------------------
-   LOGICAL ::   ln_ctl     = .FALSE.   !: run control for debugging
-   INTEGER ::   nn_timing    =    0    !: run control for timing
-   INTEGER ::   nn_print     =    0    !: level of print (0 no print)
-   INTEGER ::   nn_ictls     =    0    !: Start i indice for the SUM control
-   INTEGER ::   nn_ictle     =    0    !: End   i indice for the SUM control
-   INTEGER ::   nn_jctls     =    0    !: Start j indice for the SUM control
-   INTEGER ::   nn_jctle     =    0    !: End   j indice for the SUM control
-   INTEGER ::   nn_isplt     =    1    !: number of processors following i
-   INTEGER ::   nn_jsplt     =    1    !: number of processors following j
-   INTEGER ::   nn_bench     =    0    !: benchmark parameter (0/1)
+   LOGICAL ::   ln_ctl       !: run control for debugging
+   INTEGER ::   nn_timing    !: run control for timing
+   INTEGER ::   nn_print     !: level of print (0 no print)
+   INTEGER ::   nn_ictls     !: Start i indice for the SUM control
+   INTEGER ::   nn_ictle     !: End   i indice for the SUM control
+   INTEGER ::   nn_jctls     !: Start j indice for the SUM control
+   INTEGER ::   nn_jctle     !: End   j indice for the SUM control
+   INTEGER ::   nn_isplt     !: number of processors following i
+   INTEGER ::   nn_jsplt     !: number of processors following j
+   INTEGER ::   nn_bench     !: benchmark parameter (0/1)
    INTEGER ::   nn_bit_cmp   =    0    !: bit reproducibility  (0/1)
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 3901)
@@ -145,7 +145,7 @@
 
    ! Type of send : standard, buffered, immediate
-   CHARACTER(len=1), PUBLIC ::   cn_mpi_send = 'S'    ! type od mpi send/recieve (S=standard, B=bsend, I=isend)
+   CHARACTER(len=1), PUBLIC ::   cn_mpi_send   ! type od mpi send/recieve (S=standard, B=bsend, I=isend)
    LOGICAL, PUBLIC          ::   l_isend = .FALSE.   ! isend use indicator (T if cn_mpi_send='I')
-   INTEGER, PUBLIC          ::   nn_buffer = 0       ! size of the buffer in case of mpi_bsend
+   INTEGER, PUBLIC          ::   nn_buffer     ! size of the buffer in case of mpi_bsend
 
    REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE :: tampon  ! buffer in case of bsend
@@ -250,5 +250,4 @@
       WRITE(ldtxt(ii),*) '~~~~~~ '                                                                ;   ii = ii + 1
       !
-      jpni = -1; jpnj = -1; jpnij = -1
 
       REWIND( kumnam_ref )              ! Namelist nammpp in reference namelist: mpi variables
@@ -3456,5 +3455,5 @@
 
    LOGICAL, PUBLIC, PARAMETER ::   lk_mpp = .FALSE.      !: mpp flag
-   LOGICAL, PUBLIC            ::   ln_nnogather  = .FALSE.  !: namelist control of northfold comms (needed here in case "key_mpp_mpi" is not used)
+   LOGICAL, PUBLIC            ::   ln_nnogather          !: namelist control of northfold comms (needed here in case "key_mpp_mpi" is not used)
    INTEGER :: ncomm_ice
    !!----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_oce.F90	(revision 3901)
@@ -13,19 +13,20 @@
    PUBLIC
 
-   !                                                  !!* Namelist namdyn_ldf : lateral mixing *
-   LOGICAL , PUBLIC ::   ln_dynldf_lap   = .TRUE.      !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_dynldf_bilap = .FALSE.     !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_dynldf_level = .FALSE.     !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_dynldf_hor   = .TRUE.      !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_dynldf_iso   = .FALSE.     !: iso-neutral direction
-   REAL(wp), PUBLIC ::   rn_ahm_0_lap    = 40000._wp   !: lateral laplacian eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahmb_0       =     0._wp   !: lateral laplacian background eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahm_0_blp    =     0._wp   !: lateral bilaplacian eddy viscosity (m4/s)
+   !                                       !!* Namelist namdyn_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_dynldf_lap      !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_bilap    !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_dynldf_level    !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_dynldf_hor      !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_dynldf_iso      !: iso-neutral direction
+   REAL(wp), PUBLIC ::   rn_ahm_0_lap       !: lateral laplacian eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahmb_0          !: lateral laplacian background eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahm_0_blp       !: lateral bilaplacian eddy viscosity (m4/s)
    REAL(wp), PUBLIC ::   ahm0, ahmb0, ahm0_blp         !: OLD namelist names
-   REAL(wp), PUBLIC ::   rn_cmsmag_1     =     3._wp   !: constant in laplacian Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_cmsmag_2     =     3._wp   !: constant in bilaplacian Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_cmsh         =     1._wp   !: 1 or 0 , if 0 -use only shear for Smagorinsky viscosity
-   REAL(wp), PUBLIC ::   rn_ahm_m_blp    = -1.e12_wp   !: upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
-   REAL(wp), PUBLIC ::   rn_ahm_m_lap    =  40000_wp   !: upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
+   REAL(wp), PUBLIC ::   rn_cmsmag_1        !: constant in laplacian Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_cmsmag_2        !: constant in bilaplacian Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_cmsh            !: 1 or 0 , if 0 -use only shear for Smagorinsky viscosity
+   REAL(wp), PUBLIC ::   rn_ahm_m_blp       !: upper limit for bilap  abs(ahm) < min( dx^4/128rdt, rn_ahm_m_blp)
+   REAL(wp), PUBLIC ::   rn_ahm_m_lap       !: upper limit for lap  ahm < min(dx^2/16rdt, rn_ahm_m_lap)
+
    INTEGER , PUBLIC ::   nkahm_smag      =  0          !: 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_oce.F90	(revision 3901)
@@ -18,24 +18,24 @@
    !! Lateral eddy diffusivity coefficients (tracers)
    !!----------------------------------------------------------------------
-   !                                                !!* Namelist namtra_ldf : lateral mixing *
-   LOGICAL , PUBLIC ::   ln_traldf_lap   = .TRUE.    !: laplacian operator
-   LOGICAL , PUBLIC ::   ln_traldf_bilap = .FALSE.   !: bilaplacian operator
-   LOGICAL , PUBLIC ::   ln_traldf_level = .FALSE.   !: iso-level direction
-   LOGICAL , PUBLIC ::   ln_traldf_hor   = .FALSE.   !: horizontal (geopotential) direction
-   LOGICAL , PUBLIC ::   ln_traldf_iso   = .TRUE.    !: iso-neutral direction
-   LOGICAL , PUBLIC ::   ln_traldf_grif  = .FALSE.   !: griffies skew flux
-   LOGICAL , PUBLIC ::   ln_traldf_gdia  = .FALSE.   !: griffies skew flux streamfunction diagnostics
-   REAL(wp), PUBLIC ::   rn_aht_0        = 2000._wp  !: lateral eddy diffusivity (m2/s)
-   REAL(wp), PUBLIC ::   rn_ahtb_0       =    0._wp  !: lateral background eddy diffusivity (m2/s)
-   REAL(wp), PUBLIC ::   rn_aeiv_0       = 2000._wp  !: eddy induced velocity coefficient (m2/s)
-   REAL(wp), PUBLIC ::   rn_slpmax       = 0.01_wp   !: slope limit
-   REAL(wp), PUBLIC ::   rn_chsmag       = 1._wp     !:  multiplicative factor in Smagorinsky diffusivity
-   REAL(wp), PUBLIC ::   rn_smsh         = 1._wp     !:  Smagorinsky diffusivity: = 0 - use only sheer
-   REAL(wp), PUBLIC ::   rn_aht_m        = 2000._wp  !:  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
+   !                                     !!* Namelist namtra_ldf : lateral mixing *
+   LOGICAL , PUBLIC ::   ln_traldf_lap    !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_bilap  !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_traldf_level  !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_traldf_hor    !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_traldf_iso    !: iso-neutral direction
+   LOGICAL , PUBLIC ::   ln_traldf_grif   !: griffies skew flux
+   LOGICAL , PUBLIC ::   ln_traldf_gdia   !: griffies skew flux streamfunction diagnostics
+   REAL(wp), PUBLIC ::   rn_aht_0         !: lateral eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_ahtb_0        !: lateral background eddy diffusivity (m2/s)
+   REAL(wp), PUBLIC ::   rn_aeiv_0        !: eddy induced velocity coefficient (m2/s)
+   REAL(wp), PUBLIC ::   rn_slpmax        !: slope limit
+   REAL(wp), PUBLIC ::   rn_chsmag        !:  multiplicative factor in Smagorinsky diffusivity
+   REAL(wp), PUBLIC ::   rn_smsh          !:  Smagorinsky diffusivity: = 0 - use only sheer
+   REAL(wp), PUBLIC ::   rn_aht_m         !:  upper limit or stability criteria for lateral eddy diffusivity (m2/s)
 
    REAL(wp), PUBLIC ::   aht0, ahtb0, aeiv0         !!: OLD namelist names
 
-   LOGICAL , PUBLIC ::   ln_triad_iso    = .FALSE.   !: calculate triads twice
-   LOGICAL , PUBLIC ::   ln_botmix_grif  = .FALSE.   !: mixing on bottom
+   LOGICAL , PUBLIC ::   ln_triad_iso    !: calculate triads twice
+   LOGICAL , PUBLIC ::   ln_botmix_grif  !: mixing on bottom
    LOGICAL , PUBLIC ::   l_grad_zps      = .FALSE.   !: special treatment for Horz Tgradients w partial steps 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 3901)
@@ -23,23 +23,23 @@
    !!----------------------------------------------------------------------
    !
-   !                                            !!* Namelist namobc: open boundary condition *
-   INTEGER           ::   nn_obcdta   = 0        !:  = 0 use the initial state as obc data
-   !                                             !   = 1 read obc data in obcxxx.dta files
-   CHARACTER(len=20) ::   cn_obcdta   = 'annual' !: set to annual  if obc datafile hold 1 year of data
-   !                                             !  set to monthly if obc datafile hold 1 month of data
-   LOGICAL           ::   ln_obc_clim = .true.   !:  obc data files are climatological
-   LOGICAL           ::   ln_obc_fla  = .false.  !:  Flather open boundary condition not used
-   LOGICAL           ::   ln_vol_cst  = .true.   !:  Conservation of the whole volume
-   REAL(wp)          ::   rn_dpein    =  1.      !: damping time scale for inflow at East open boundary
-   REAL(wp)          ::   rn_dpwin    =  1.      !:    "                      "   at West open boundary
-   REAL(wp)          ::   rn_dpsin    =  1.      !:    "                      "   at South open boundary
-   REAL(wp)          ::   rn_dpnin    =  1.      !:    "                      "   at North open boundary
-   REAL(wp)          ::   rn_dpeob    = 15.      !: damping time scale for the climatology at East open boundary
-   REAL(wp)          ::   rn_dpwob    = 15.      !:    "                           "       at West open boundary
-   REAL(wp)          ::   rn_dpsob    = 15.      !:    "                           "       at South open boundary
-   REAL(wp)          ::   rn_dpnob    = 15.      !:    "                           "       at North open boundary
-   REAL(wp)          ::   rn_volemp   =  1.      !: = 0 the total volume will have the variability of the 
-   !                                             !      surface Flux E-P else (volemp = 1) the volume will be constant
-   !                                             !  = 1 the volume will be constant during all the integration.
+   !                                 !!* Namelist namobc: open boundary condition *
+   INTEGER           ::   nn_obcdta   !:  = 0 use the initial state as obc data
+   !                                  !   = 1 read obc data in obcxxx.dta files
+   CHARACTER(len=20) ::   cn_obcdta   !: set to annual  if obc datafile hold 1 year of data
+   !                                  !  set to monthly if obc datafile hold 1 month of data
+   LOGICAL           ::   ln_obc_clim !:  obc data files are climatological
+   LOGICAL           ::   ln_obc_fla  !:  Flather open boundary condition not used
+   LOGICAL           ::   ln_vol_cst  !:  Conservation of the whole volume
+   REAL(wp)          ::   rn_dpein    !: damping time scale for inflow at East open boundary
+   REAL(wp)          ::   rn_dpwin    !:    "                      "   at West open boundary
+   REAL(wp)          ::   rn_dpsin    !:    "                      "   at South open boundary
+   REAL(wp)          ::   rn_dpnin    !:    "                      "   at North open boundary
+   REAL(wp)          ::   rn_dpeob    !: damping time scale for the climatology at East open boundary
+   REAL(wp)          ::   rn_dpwob    !:    "                           "       at West open boundary
+   REAL(wp)          ::   rn_dpsob    !:    "                           "       at South open boundary
+   REAL(wp)          ::   rn_dpnob    !:    "                           "       at North open boundary
+   REAL(wp)          ::   rn_volemp   !: = 0 the total volume will have the variability of the 
+   !                                  !      surface Flux E-P else (volemp = 1) the volume will be constant
+   !                                  !  = 1 the volume will be constant during all the integration.
 
    !                                  !!! OLD non-DOCTOR name of namelist variables
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 3901)
@@ -203,63 +203,10 @@
       ! Read namelist parameters
       !-----------------------------------------------------------------------
-      ! default values already set except:
-
-      ln_t3d = .FALSE.
-      ln_s3d = .FALSE.
-      ln_vel3d = .FALSE.
-      ln_sla = .FALSE.
-      ln_altbias = .FALSE.
-      ln_ssh = .FALSE.
-      ln_sst = .FALSE.
-      ln_seaice = .FALSE.
-      ln_reysst = .FALSE.
-      ln_ghrsst = .FALSE.
-      ln_sss = .FALSE.
-      ln_profb = .FALSE.
-      ln_ena = .TRUE.
-      ln_cor = .FALSE.
-      ln_sladt = .TRUE.
-      ln_slafb = .FALSE.
-      ln_sstfb = .FALSE.
-      ln_velavcur = .FALSE.
-      ln_velhrcur = .FALSE.
-      ln_velavadcp = .FALSE.
-      ln_velhradcp = .FALSE.
-      ln_velfb = .FALSE.
-      ln_nea = .FALSE.
-      ln_grid_search_lookup = .FALSE.
-      ln_grid_global = .FALSE.
-      ln_s_at_t = .TRUE.
-      grid_search_file = 'xypos'
-      bias_file='bias.nc'
-      enactfiles(:) = ''
-      coriofiles(:) = ''
-      profbfiles(:) = ''
-      slafilesact(:) = ''
-      slafilespas(:) = ''
-      slafbfiles(:) = ''
-      sstfiles(:)   = ''
-      sstfbfiles(:) = ''
-      seaicefiles(:) = ''
+
       velcurfiles(:) = ''
       veladcpfiles(:) = ''
-      velavcurfiles(:) = ''
-      velhrcurfiles(:) = ''
-      velavadcpfiles(:) = ''
-      velhradcpfiles(:) = ''
-      velfbfiles(:) = ''
-      reysstname = 'sst_yYYYYmMM.nc'
-      reysstfmt = 'monthly'
-      endailyavtypes(:) = -1
-      endailyavtypes(1) = 820
-      ln_profb_ena(:) = .FALSE.
-      ln_profb_enatim(:) = .TRUE.
-      ln_velfb_av(:) = .FALSE.
-      ln_ignmis = .FALSE.
       CALL ini_date( dobsini )
       CALL fin_date( dobsend )
-      n1dint = 1
-      n2dint = 3
-
+ 
       ! Read Namelist namobs : control observation diagnostics
       REWIND( numnam_ref )              ! Namelist namobs in reference namelist : Diagnostic: control observation
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 3901)
@@ -36,14 +36,14 @@
    REAL(wp) ::   rmue   = 0.40    !  cosine of local solar altitude
 
-   !                               !!* namelist namsbc_alb
-   REAL(wp) ::   rn_cloud  = 0.06   !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
+   !                             !!* namelist namsbc_alb
+   REAL(wp) ::   rn_cloud         !  cloudiness effect on snow or ice albedo (Grenfell & Perovich, 1984)
 #if defined key_lim3
-   REAL(wp) ::   rn_albice = 0.53   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice        !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #else
-   REAL(wp) ::   rn_albice = 0.50   !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
+   REAL(wp) ::   rn_albice        !  albedo of melting ice in the arctic and antarctic (Shine & Hendersson-Sellers)
 #endif
-   REAL(wp) ::   rn_alphd  = 0.80   !  coefficients for linear interpolation used to compute
-   REAL(wp) ::   rn_alphdi = 0.72   !  albedo between two extremes values (Pyane, 1972)
-   REAL(wp) ::   rn_alphc  = 0.65   ! 
+   REAL(wp) ::   rn_alphd         !  coefficients for linear interpolation used to compute
+   REAL(wp) ::   rn_alphdi        !  albedo between two extremes values (Pyane, 1972)
+   REAL(wp) ::   rn_alphc         ! 
 
    !!----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 3901)
@@ -87,5 +87,4 @@
       TYPE(FLD_N), DIMENSION(1) ::   slf_i     ! array of namelist informations on the TC position
       TYPE(FLD_N) ::   sn_tc                   ! informations about the fields to be read
-      !      NAMELIST/namsbc_tc/ cn_dir , sn_tc
       !!--------------------------------------------------------------------
 
